#ifndef FILEEXPLORER_H
#define FILEEXPLORER_H

#include <QtCore>
#include <QtGui>
#include "screen_proxy/screen_proxy.h"
using namespace onyx::screen;
class FileExplorer : public QWidget
 {
    Q_OBJECT
 public:

     FileExplorer(QWidget *parent = 0);
     bool event(QEvent* event);
     void refreshScreen(Waveform w=GU);

 public slots:
     void cd(QListWidgetItem *itm);

 protected:
     void rehashDirectory();
     QLabel path;
     QDir dir;
     QListWidget dirList;


 };

#endif // FILEEXPLORER_H
